# Antiviral peptide predictions using GAN

Recently a form of competitive deep neural networks have garnered a lot of attention. These GAN’s have a solution generation component and a competing network that tries to fool the models generation by the first network. This competition and evolution ensures both robust recognition of features that classify objects into given categories while also generating new variations of original input data. This methodology can be incorporated into a framework for generation of bioactive peptides. GAN’s work very well on images and strings. The challenge is to either build GAN’S for bioactive peptide generation from scratch using python based deep learning frameworks or customize existing GAN implementations developed for new molecule generation based on SMILES . Success criterion is a python pipeline that utilizes GAN’s to generate potential bioactive peptides < 2000 kDa. Framework will take bioactive antiviral peptides or similar as input and some randomized peptides as initial starting adversarial examples . Computational biologists and peptide chemistry experts will guide and verify results. An Additional non-mandatory extension, a simple GUI might be made available to run this pipeline and collect stored results at a later time. More advanced work can be accomplished in collaboration with structural biologists and computational chemists by using binding site, peptide characteristics and interaction by using advanced software alongside GAN’s

DDH link:
https://innovateindia.mygov.in/drug-ps/track-2-general-drug-discovery-including-covid/ddt2-10/

Dataset: https://www.hiv.lanl.gov/content/sequence/PEPTGEN/Explanation.html
Supporting Data guidelines: http://crdd.osdd.net/servers/avpdb/


Project Organization
------------

    ├── LICENSE
    ├── Makefile           <- Makefile with commands like `make data` or `make train`
    ├── README.md          <- The top-level README for developers using this project.
    ├── data
    │   ├── external       <- Data from third party sources.
    │   ├── interim        <- Intermediate data that has been transformed.
    │   ├── processed      <- The final, canonical data sets for modeling.
    │   └── raw            <- The original, immutable data dump.
    │
    ├── docs               <- A default Sphinx project; see sphinx-doc.org for details
    │
    ├── models             <- Trained and serialized models, model predictions, or model summaries
    │
    ├── notebooks          <- Jupyter notebooks. Naming convention is a number (for ordering),
    │                         the creator's initials, and a short `-` delimited description, e.g.
    │                         `1.0-jqp-initial-data-exploration`.
    │
    ├── references         <- Data dictionaries, manuals, and all other explanatory materials.
    │
    ├── reports            <- Generated analysis as HTML, PDF, LaTeX, etc.
    │   └── figures        <- Generated graphics and figures to be used in reporting
    │
    ├── requirements.txt   <- The requirements file for reproducing the analysis environment, e.g.
    │                         generated with `pip freeze > requirements.txt`
    │
    ├── setup.py           <- makes project pip installable (pip install -e .) so src can be imported
    ├── src                <- Source code for use in this project.
    │   ├── __init__.py    <- Makes src a Python module
    │   │
    │   ├── data           <- Scripts to download or generate data
    │   │   └── make_dataset.py
    │   │
    │   ├── features       <- Scripts to turn raw data into features for modeling
    │   │   └── build_features.py
    │   │
    │   ├── models         <- Scripts to train models and then use trained models to make
    │   │   │                 predictions
    │   │   ├── predict_model.py
    │   │   └── train_model.py
    │   │
    │   └── visualization  <- Scripts to create exploratory and results oriented visualizations
    │       └── visualize.py
    │
    └── tox.ini            <- tox file with settings for running tox; see tox.testrun.org


--------

<p><small>Project based on the <a target="_blank" href="https://drivendata.github.io/cookiecutter-data-science/">cookiecutter data science project template</a>. #cookiecutterdatascience</small></p>
